package jasymca;

import java.util.Stack;

class LambdaIFFT extends Lambda{
 public int lambda(Stack st) throws ParseException, JasymcaException{
  int narg = getNarg( st );
  Vektor x = getVektor(st);
  x = (Vektor)new ExpandConstants().f_exakt(x);
  double[] re = ((Vektor)x.realpart()).getDouble();
  double[] im = ((Vektor)x.imagpart()).getDouble();
  int n = re.length;
  double power=Math.log(n)/Math.log(2.0);
  if (power!=Math.round(power)){
   double []outRe=new double[n];
      double []outIm=new double[n];
      LambdaFFT.idft(re,im,outRe,outIm);
      re=outRe;
      im=outIm;
  }else{
   LambdaFFT.ifft_1d(re,im,1);
  }
  Unexakt[] a = new Unexakt[n];
  for(int i=0; i<n; i++)
   a[i] = new Unexakt(re[i],im[i]);
  st.push(new Vektor(a));
  return 0;
 }
}