package jasymca;

class LambdaLOG extends LambdaAlgebraic{
 public LambdaLOG(){ diffrule = "1/x"; intrule = "x*log(x)-x"; }
 Zahl f( Zahl x){
  Unexakt z = x.unexakt();
  if(z.real<0 || z.imag != 0.)
   return new Unexakt( Math.log( z.real*z.real+z.imag*z.imag )/2, Math.atan2(z.imag,z.real));
  return new Unexakt(Math.log(z.real));
 }


 Algebraic f_exakt(Algebraic x) throws JasymcaException{
  if(x.equals(Zahl.ONE))
   return Zahl.ZERO;
  if(x.equals(Zahl.MINUS))
   return Zahl.PI.mult(Zahl.IONE);
  // Trigonometric conversions

  if(x instanceof jasymca.Polynomial && ((Polynomial)x).degree()==1 &&
  ((Polynomial)x).a[0].equals(Zahl.ZERO) &&
//		((Polynomial)x).a[1].equals(Zahl.ONE) &&
  ((Polynomial)x).var instanceof jasymca.FunctionVariable &&
   ((FunctionVariable)((Polynomial)x).var).fname.equals("exp"))
   return ((FunctionVariable)((Polynomial)x).var).arg.add
    (FunctionVariable.create("log",((Polynomial)x).a[1]));
  return null;
 }



}