package jasymca;

import java.util.Stack;

class LambdaLSUM extends Lambda{
	// LSUM (exp, ind, list)	
 public int lambda(Stack st) throws ParseException, JasymcaException{
  int narg = getNarg( st );
  if(narg!=3)
   throw new ParseException("Usage: LSUM (exp, ind, list)");
  Algebraic exp = getAlgebraic(st);
  Variable v = getVariable (st);
  Vektor list = getVektor(st);
  Algebraic sum = Zahl.ZERO;
  for( int i=0; i<list.length(); i++)
   sum = sum.add(exp.value(v,list.get(i)));
  st.push( sum );
  return 0;
 }
}