package jasymca;

import java.util.Stack;

class LambdaRAND extends Lambda{
 public int lambda(Stack st) throws ParseException, JasymcaException{
  // Variable definition, store in Prefix format and return success
  int narg = getNarg( st );
  if(narg<1)
   throw new JasymcaException("Usage: RAND( nrow, ncol ).");
  int nrow = getInteger( st );
  int ncol = nrow;
  if(narg>1)
   ncol = getInteger( st );
  Algebraic a[][] = new Algebraic[nrow][ncol];
  for(int i=0; i<nrow; i++)
   for(int k=0; k<ncol; k++)
    a[i][k] = new Unexakt( Math.random());
  st.push( new Matrix(a).reduce() );
  return 0;
 }
}