package jasymca;

import java.io.OutputStream;
import java.util.Enumeration;
import java.util.Stack;

class LambdaSAVE extends Lambda{
	
	// SAVE (filename,arg1, arg2,...,argi)
	// arg = all saves everything except functions	
	
 public int lambda(Stack st) throws ParseException, JasymcaException{
  int size = getNarg( st );
  if(size<2)
   throw new ParseException("Usage: SAVE (filename,arg1, arg2,...,argi)");
  Object filename = st.pop();
  try{
   OutputStream f = Jasymca.getFileOutputStream( (String)filename, true);
   for(int i=1; i<size; i++){
    String var = (String)st.pop();
    if("ALL".equalsIgnoreCase(var)){
     Enumeration en = pc.env.keys();
     while(en.hasMoreElements()){
      Object key = en.nextElement();
      if(!"pi".equalsIgnoreCase((String)key)){ // Would be reread as variable
       Object val = pc.env.getValue((String)key);
       if(!(val instanceof jasymca.Lambda)){
        String line = key.toString()+":"+val.toString()+";\n";
        f.write(line.getBytes());
       }
      }
     }
    }else{
     Object val = pc.env.getValue(var);
     String line = var.toString()+":"+val.toString()+";\n";
     f.write(line.getBytes());
    }
   }f.close();
   System.out.println( "Wrote variables to "+filename );
  }catch(Exception e){
   throw new JasymcaException("Could not write to "+filename+" :"+e.toString());
  }
  return 0;
 }
}