package jasymca;

import java.util.Stack;

class LambdaSQFR extends Lambda{
	// Square free decomposition of polynomial	
 public int lambda(Stack st) throws ParseException, JasymcaException{
  int narg = getNarg( st );
  Algebraic f = getAlgebraic( st );
  if(f instanceof jasymca.Zahl){
   st.push( f );
   return 0;
  }
  if(!(f instanceof jasymca.Polynomial))
   throw new ParseException("Argument to sqfr() must be polynomial.");
  f = ((Polynomial)f).rat();
  Algebraic[] fs = ((Polynomial)f).square_free_dec(((Polynomial)f).var);
  if(fs==null){
   st.push( f );
   return 0;
  }
  st.push( new Vektor( fs ));
  return 0;
 }
}