package jasymca;

import jasymca.*;
import java.util.Stack;
import jasymca.Lambda.*;
import java.io.*;
import java.util.jar.*;
import java.util.StringTokenizer;



class LambdaVERSION extends Lambda{
 public int lambda(Stack st) throws ParseException, JasymcaException{

                String BUILD_DATE = "20070120";
                String BUILD_BY = "S.Chekanov";
                String VERSION = "1.0";
                String CREATED_BY = "SUN 1.5";

                final String JARFILE = "jhplot.jar";
                final String classpath = System.getProperty("java.class.path");
                final String pathsep = System.getProperty("path.separator");
                StringTokenizer t = new StringTokenizer(classpath, pathsep, false);

                while (t.hasMoreElements()) {
                        String path = t.nextToken();

                        if (path.indexOf("jwork-jmathlab.jar") > -1 || path.indexOf("jmathlaball.jar") > -1  ) {

                                try {
                                        // System.out.println(path);
                                        JarFile jf = new JarFile(path);
                                        Manifest m = jf.getManifest();
                                        Attributes attribs = m.getMainAttributes();
                                        BUILD_DATE = attribs.getValue("Built-Date");
                                        BUILD_BY = attribs.getValue("Built-By");
                                        CREATED_BY = attribs.getValue("Created-By");
                                        VERSION = attribs.getValue("Version");
                                        break;
                                } catch (IOException e) {
                                        System.out.println("Cannot read jar-file manifest"); 
                                }
                                return 0;
                        } // end if

                }
 

         String mess="<html>Version=<b>"+VERSION+"<p>"+"Date=<b>"+BUILD_DATE+"</b><br></html>"; 
         jmathlab.utils.HelpDialog h = new  jmathlab.utils.HelpDialog(null,mess,200,150);


 
  return 0;
 }
}

/*
@GROUP
system
@SYNTAX
vesion
@DOC
Show version information
@EXAMPLES
version
@NOTES
This method generates a pop-up dialog with version information and date 
@SEE
*/

