package jasymca;

import jasymca.JasymcaException;
import jasymca.Lambda;
import jasymca.Matrix;
import jasymca.ParseException;

import java.util.Stack;

class LambdaDET extends Lambda{
 public int lambda(Stack st) throws ParseException, JasymcaException{
  int narg = getNarg( st );
  Matrix m = new Matrix(getAlgebraic( st ));
  st.push( m.det());
  return 0;
 }
}


/*
@GROUP
Matrix
@SYNTAX
det(A)
@DOC
Determinant
@EXAMPLES
<programlisting>
</programlisting>
@NOTES
@SEE

*/
