package jasymca;

import java.util.Stack;




class LambdaINDEX extends Lambda{
	 public int lambda(Stack st) throws ParseException, JasymcaException{
	  index( st );
	  return 0;
	 }

	 static void index( Stack st )throws ParseException, JasymcaException{

	  int narg = getNarg( st );
          if(narg!=2)
           throw new ParseException("Wrong number of arguments. Should be 2 strings");

	  Object a = st.pop();
          Object b = st.pop();

	  if(!(a instanceof java.lang.String) || !(b instanceof java.lang.String)  )
	   throw new JasymcaException("Argument must be string.");
	  String fmt1 = ((String)a).trim();
          String fmt2 = ((String)b).trim();

          int i= fmt1.indexOf(fmt2);
          st.push( new Unexakt((int)i)  );
	  }
	 }

/*
@GROUP
string
@SYNTAX
index(string1, string2)
@DOC
Returns the index within "string1" of the first occurrence of the specified "string2".
Set to -1 if the character does not occur.
@NOTES
@EXAMPLES
i=index("Hello","H")
i=0
@SEE
*/

