package jasymca;

import java.util.Stack;




class LambdaSTRCAT extends Lambda{
	 public int lambda(Stack st) throws ParseException, JasymcaException{
	  strcat( st );
	  return 0;
	 }

	 static void strcat( Stack st )throws ParseException, JasymcaException{

	  int narg = getNarg( st );
	  Object a = st.pop();
          Object b = st.pop();

	  if(!(a instanceof java.lang.String) )
	   throw new JasymcaException("First argument must be string.");
          if(!(b instanceof java.lang.String) )
           throw new JasymcaException("2nd argument must be string.");

	  String fmt1 = ((String)a).trim();
          String fmt2 = ((String)b).trim();

          st.push( new String(" "+fmt1+fmt2) );

	  }
	 }

/*
@GROUP
string
@SYNTAX
str=strcat(string1,string2)
@DOC
Join string1 and string2
@NOTES
@EXAMPLES
s=strcat("H","O")
"HO"
@SEE
*/

