// * This code is licensed under:
// * jeHEP License, Version 1.0
// * - for license details see http://jehep.sourceforge.net/license.html 
// *
// * Copyright (c) 2005 by S.Chekanov (chekanov@mail.desy.de). 
// * All rights reserved.
package jmatmain;

import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;


public class OutDialog extends JDialog{
    private JButton closeButton;
    private  JTextArea jtAreaOutput;

    public OutDialog( JComponent win ) {


   setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
   setTitle("Output");
   setModal( true );
   setResizable( true );


   // Get the system resolution
   Dimension res = Toolkit.getDefaultToolkit().getScreenSize();

   // make sure the dialog is not too big
   Dimension size = new Dimension(Math.min(580, res.width), Math.min(380, res.height));

   setSize(size);
//   setLocationRelativeTo(parent);

  JPanel lowerPanel = new JPanel();
  lowerPanel.setPreferredSize(new Dimension(580, 35));

  jtAreaOutput = new JTextArea(5, 20);
  jtAreaOutput.setEditable(false);
  JScrollPane scrollingArea = new JScrollPane(jtAreaOutput);

  closeButton = new JButton();
  closeButton.setText("Exit");
  closeButton.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
             setVisible(false); dispose();
        }  });

  lowerPanel.add(closeButton, null);
  // topPanel.setLayout( new BorderLayout() );
  getContentPane().add( scrollingArea, java.awt.BorderLayout.CENTER );
  getContentPane().add( lowerPanel, java.awt.BorderLayout.SOUTH );


   }


  public void setText(String text) {
      jtAreaOutput.setText(text); 
  }


}
