package jasymca;

import java.util.Stack;

class LambdaANGLE extends Lambda{
 public int lambda(Stack st) throws ParseException, JasymcaException{
  int narg = getNarg( st );
  Algebraic x = getAlgebraic(st);
  Object atan2 = pc.env.getValue("atan2");
  if( !(atan2 instanceof jasymca.LambdaAlgebraic) ){
   throw new JasymcaException("Function ATAN2 not installed.");
  }
  st.push( ((LambdaAlgebraic)atan2).f_exakt( x.imagpart(), x.realpart() ));
  return 0;
 }
}