package jasymca;

import java.util.Stack;

class LambdaCFS extends Lambda{
	// Continued fraction expansion	
 public int lambda(Stack st) throws ParseException, JasymcaException{
  int narg = getNarg( st );
  Algebraic y = getAlgebraic(st).rat();
  if(!(y instanceof jasymca.Exakt))
   throw new ParseException("Argument must be exact number");
  double eps = 1.e-5;
  if(narg>1)
   eps = getNumber(st).unexakt().real;
  st.push(((Exakt)y).cfs(eps));
  return 0;
 }
}