package jasymca;

import java.util.Stack;

class LambdaFORMAT extends Lambda{
 public int lambda(Stack st) throws ParseException, JasymcaException{
  int nargs = getNarg( st );
  if(nargs==1){
   Object arg = st.pop();
   if( "$short".equals( arg.toString() )) {
    Jasymca.fmt = new NumFmtVar( 10, 5 );
    return 0;
   } else if( "$long".equals( arg.toString() )) {
    Jasymca.fmt = new NumFmtJava();
    return 0;
   }
   throw new JasymcaException("Usage: format long | short | base significant");
  }else if(nargs==2){
   int base = getInteger( st );
   int nsign = getInteger( st );
   if(base<2 || nsign<1)
    throw new JasymcaException("Invalid variables.");
   Jasymca.fmt = new NumFmtVar( base, nsign );
   return 0;
  }
  throw new JasymcaException("Usage: format long | short | base significant");
 }
}