package jasymca;

import jasymca.*;
import java.util.Stack;
import jasymca.Lambda.*;
import java.io.*;


class LambdaHELP extends Lambda{
 public int lambda(Stack st) throws ParseException, JasymcaException{
  int narg = getNarg( st );
  while(narg-- > 0){
   Object s = st.pop();
   if( !(s instanceof java.lang.String) )
    throw new JasymcaException("Usage: help(function)");
 
 
     // get format string
        String nameF = ((String)s).trim();
        // System.out.println("Found="+nameF); 
         String mess="";
         String  sfile="help/"+nameF+".htm";

         try
          {
            ReadFromJar r= new ReadFromJar(sfile);
            BufferedReader br=r.readReaderFromJar();
            String line = null;
            while ((line = br.readLine()) != null)
            {
                if (!line.startsWith("#"))
                    mess=mess+line+"\n";
            }

        jmathlab.utils.HelpDialog h = new  jmathlab.utils.HelpDialog(null,mess); 
        }
        catch (Exception ex) {
            System.out.println("Error in reading="+sfile);
        }


 
  }
  return 0;
 }
}

/*
@GROUP
system
@SYNTAX
number = help(arg0)
@DOC
Get help for a given function name
@EXAMPLES
help("acos")
@NOTES
This method generates a pop-up dialog
@SEE
path
*/

