package jasymca;
import jasymca.*;
import java.util.Stack;


class LambdaPATH extends Lambda{
 public int lambda(Stack st) throws ParseException, JasymcaException{
  int n = pc.env.path.size();
  String s = "";
  while(n-- > 0){
   Object p = pc.env.path.elementAt(n);
   s = s+p;
   if(n!=0)
    s = s+"\n";
  }
  if(pc.ps != null){
   pc.ps.println( s );
   // jmatmain.SetEnv.outputString=jmatmain.SetEnv.outputString+"\n"+s;
  }
  return 0;
 }
}

/*
@GROUP
system
@SYNTAX
path()
@DOC
Lists the current search path.
@NOTES
@EXAMPLES
<programlisting>
path()
</programlisting>
@SEE
addpath, rmpath, createfunctionslist
*/

