package jasymca;
public class StringFmt{


 // remove outer parenthesis	
 public static String compact( String s ){
  while( s.length()>0 &&
      s.charAt(0)=='(' && s.charAt(s.length()-1)==')'){
   String r = s.substring(1, s.length()-1);
   if( !balanced( r ) )
    break;
   s = r;
  }
  return s;
 }

 public static boolean balanced( String r ){
  int nopen = 0;

  for(int i=0; i<r.length(); i++){
   switch(r.charAt(i)){
    case '(': nopen++;
      break;
    case ')': nopen--;
      if(nopen<0)
       return false;
    default: break;
   }
  }
  return nopen == 0;
 }

}
