package jasymca;

import jasymca.ExpandConstants;
import jasymca.JasymcaException;
import jasymca.ParseException;
import jasymca.PlotGraph;
import jasymca.Vektor;

import java.util.Stack;

class LambdaERRORBAR extends LambdaPLOT {
	public int lambda(Stack st) throws ParseException, JasymcaException {
		return plotArgs(PlotGraph.LINEAR, st);
	}

	int plotArgs(int plotmode, Stack st) throws ParseException,
			JasymcaException {
		if (LambdaPLOT.pg == null) {
			pg = new PlotGraph(plotmode);
		} else
			pg.setmode(plotmode);
		int narg = getNarg(st);
		Object pargs[] = new Object[narg];
		for (int i = 0; i < narg; i++) {
			Object x = st.pop();
			if (x instanceof jasymca.Vektor) {
				x = new ExpandConstants().f_exakt((Vektor) x);
				pargs[i] = ((Vektor) x).getDouble();
			} else
				pargs[i] = x;
		}
		pg.addLineErrorbars(pargs);
		pg.setVisible(true);
		return 0;
	}
}