package jasymca;

import jasymca.JasymcaException;
import jasymca.Lambda;
import jasymca.ParseException;
import java.util.Stack;


class LambdaEXPORT2D extends Lambda{
 public int lambda(Stack st) throws ParseException, JasymcaException{
 if (LambdaPLOT2D.pg == null) return 0; 

  int narg = getNarg(st);
  if(narg!=1)
        throw new ParseException("Wrong number of arguments. Should be one");
   Object a = st.pop();
   if( !(a instanceof java.lang.String) )
         throw new JasymcaException("Argument must be string.");

  String str=a.toString();
  LambdaPLOT2D.pg.export(str);

  return 0;
 }
}

/*
@GROUP
plot
@SYNTAX
export2d
@DOC
Export 2D plot to an image. 
The file extension is very
important: *.png - make PNG figure *.eps - make EPS figure *.ps - make PS
figure *.jpg - make JPG figure *.pdf - make PDF figure.
@NOTES
@EXAMPLES
<programlisting>
export2d("image.eps") 
</programlisting>
@SEE
plot2d
*/
