package jasymca;

import jasymca.JasymcaException;
import jasymca.Lambda;
import jasymca.ParseException;
import java.util.Stack;


class LambdaEXPORT3D extends Lambda{
 public int lambda(Stack st) throws ParseException, JasymcaException{
 if (LambdaPLOT3D.pg == null) return 0; 

  int narg = getNarg(st);
  if(narg!=1)
        throw new ParseException("Wrong number of arguments. Should be one");
   Object a = st.pop();
   if( !(a instanceof java.lang.String) )
         throw new JasymcaException("Argument must be string.");

  String str=a.toString();
  LambdaPLOT3D.pg.export(str);

  return 0;
 }
}

/*
@GROUP
plot
@SYNTAX
export3d
@DOC
Export 3D plot to an image. 
The file extension is very
important: *.png - make PNG figure *.eps - make EPS figure *.ps - make PS
figure *.jpg - make JPG figure *.pdf - make PDF figure.
@NOTES
@EXAMPLES
<programlisting>
export3d("image.eps") 
</programlisting>
@SEE
plot3d
*/
