package jasymca;

import jasymca.JasymcaException;
import jasymca.Lambda;
import jasymca.ParseException;

import java.util.Stack;

class LambdaHOLD extends Lambda {
	public int lambda(Stack st) throws ParseException, JasymcaException {
		int narg = getNarg(st);
		if (LambdaPLOT.pg == null) {
			while (narg-- > 0)
				st.pop();
			if (pc.ps != null) {
				pc.ps.println("No plot to hold.");
			}
			return 0;
		}
		if (narg == 0) {
			LambdaPLOT.pg.Hold_b = !LambdaPLOT.pg.Hold_b;
		} else {
			Object arg = st.pop();
			if ("$on".equals(arg.toString())) {
				LambdaPLOT.pg.Hold_b = true;
			} else if ("$off".equals(arg.toString())) {
				LambdaPLOT.pg.Hold_b = false;
			} else {
				throw new JasymcaException("Invalid argument to hold.");
			}
		}
		if (!LambdaPLOT.pg.Hold_b)
			LambdaPLOT.pg.setVisible(false);
		if (pc.ps != null) {
			pc.ps.println("Current plot "
					+ (LambdaPLOT.pg.Hold_b ? "held." : "released."));
		}
		return 0;
	}
}

/*
@GROUP
hold
@SYNTAX
hold  
@DOC
Hold the current plot for new drawing
@NOTES
@EXAMPLES
hold
@SEE
*/

