package jasymca;

import java.util.Stack;




class LambdaSUBSTR extends Lambda{
	 public int lambda(Stack st) throws ParseException, JasymcaException{
	  substr( st );
	  return 0;
	 }

	 static void substr( Stack st )throws ParseException, JasymcaException{

	  int narg = getNarg( st );
	  Object a = st.pop();
          Object x = st.pop();
          Object y = st.pop();


	  if(!(a instanceof java.lang.String) )
	   throw new JasymcaException("First argument must be string.");
          if(!(x instanceof jasymca.Zahl) )
           throw new JasymcaException("2nd  argument must be int.");
          if(!(y instanceof jasymca.Zahl) )
           throw new JasymcaException("3rd argument must be int.");

          int j1= (int)((Zahl)x).unexakt().real;
          int j2= (int)((Zahl)y).unexakt().real;
	  String fmt = ((String)a).trim();
          st.push( " "+fmt.substring(j1,j2) );

	  }
	 }

/*
@GROUP
string
@SYNTAX
(string)
substr(string,i1,i2)
@DOC
Extract substring between index i1 and i2
@NOTES
@EXAMPLES
substring("Hello",1,2)
H
@SEE
*/

