package jasymca;

import java.util.Stack;




class LambdaUPPER extends Lambda{
	 public int lambda(Stack st) throws ParseException, JasymcaException{
	  upper( st );
	  return 0;
	 }

	 static void upper( Stack st )throws ParseException, JasymcaException{

	  int narg = getNarg( st );
	  Object s_in = st.pop();
	  if(!(s_in instanceof java.lang.String) )
	   throw new JasymcaException("Argument must be string.");
	  String fmt = ((String)s_in);
          st.push( fmt.toUpperCase() );

	  }
	 }

/*
@GROUP
string
@SYNTAX
upper(string)
@DOC
Text all to upper case
@NOTES
@EXAMPLES
upper("Hello")
HELLO
@SEE
*/

