package jmatmain;

import jasymca.JasymcaConsoleText;
import java.io.*;


public class ConsoleService
{
    private JasymcaConsoleText  interp;
    private ByteArrayOutputStream baos;
    private PrintStream ps;
    private String  serror;
 
    public ConsoleService()
    {
        baos = new ByteArrayOutputStream();
        ps = new PrintStream(baos);
        interp = new JasymcaConsoleText(System.in,ps);
    }


   public String exec(String script) {

                serror = "";

                try {
                 InputStream is = new ByteArrayInputStream(
                                        script.getBytes("UTF-8"));
                  interp.readStream(is);
 
                } catch (  Exception  e) {
                        serror = e.toString();
                }
                return baos.toString();
        }


        public String getError() {
                serror=serror.replace("jasymca.","");
                serror=serror.replace("Jasymca","");
                return serror;
        }



     // clear outputs
     public void clear()
    {
        baos.reset();
        serror = "";
    }

 

}
